Bug 470083 - Missing policy for memory stick block devices
Missing policy for memory stick block devices
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-11-05 12:38 EST by Chuck Ebbert
Modified: 2008-11-08 18:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-08 18:54:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chuck Ebbert 2008-11-05 12:38:13 EST
There is no policy for /dev/mspblk.*

Policy should be the same as for /dev/mmcblk.*

Without a policy, HAL cannot scan the device for partitions.

(This should also go in the F9 policy.)
Comment 1 Daniel Walsh 2008-11-05 13:24:54 EST
It is in rawhide.


 matchpathcon /dev/mmcblk
/dev/mmcblk	system_u:object_r:removable_device_t:s0

matchpathcon /dev/mspblk
/dev/mspblk	system_u:object_r:removable_device_t:s0


Fixed in selinux-policy-3.3.1-108.fc9
Comment 2 Will Woods 2008-11-08 18:54:26 EST
If I understand correctly, this landed in rawhide in September:
  Mon Sep 22 2008 Dan Walsh <dwalsh@redhat.com> 3.5.8-5
  - Add file context for /dev/mspblk.*
Closing RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.